package com.ruoyi.project.task.service;

import java.util.List;
import com.ruoyi.project.task.domain.TTaskInspection;

/**
 * 检测任务Service接口
 *
 * @author ruoyi
 * @date 2022-11-21
 */
public interface ITTaskInspectionService
{
    /**
     * 查询检测任务
     *
     * @param id 检测任务主键
     * @return 检测任务
     */
    public TTaskInspection selectTTaskInspectionById(Long id);

    /**
     * 查询检测任务列表
     *
     * @param tTaskInspection 检测任务
     * @return 检测任务集合
     */
    public List<TTaskInspection> selectTTaskInspectionList(TTaskInspection tTaskInspection);

    /**
     * 新增检测任务
     *
     * @param tTaskInspection 检测任务
     * @return 结果
     */
    public int insertTTaskInspection(TTaskInspection tTaskInspection);

    /**
     * 修改检测任务
     *
     * @param tTaskInspection 检测任务
     * @return 结果
     */
    public int updateTTaskInspection(TTaskInspection tTaskInspection);

    /**
     * 批量删除检测任务
     *
     * @param ids 需要删除的检测任务主键集合
     * @return 结果
     */
    public int deleteTTaskInspectionByIds(Long[] ids);
    public int updateTTaskInspectionByIds(Long[] ids);

    /**
     * 删除检测任务信息
     *
     * @param id 检测任务主键
     * @return 结果
     */
    public int deleteTTaskInspectionById(Long id);
}
